GlueGen: com.jogamp.gluegen.cgram.types.Field Class Reference

GlueGen v2.6.0-rc-20250722 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.gluegen.cgram.types.Field Class Reference

Represents a field in a struct or union. More...

Inheritance diagram for com.jogamp.gluegen.cgram.types.Field:
Collaboration diagram for com.jogamp.gluegen.cgram.types.Field:

## Public Member Functions

| Field (final String name, final Type type, final SizeThunk offset)
int | hashCode ()
boolean | equals (final Object arg)
int | hashCodeSemantics ()
| Semantic hashcode for Types exclusive its given `name`. More...
boolean | equalSemantics (final SemanticEqualityOp arg)
| Semantic equality test for Types exclusive its given `name`. More...
String | getName ()
| Name of this field in the containing data structure. More...
Type | getType ()
| Type of this field. More...
SizeThunk | getOffset ()
| SizeThunk computing offset, in bytes, of this field in the containing data structure. More...
long | getOffset (final MachineDataInfo machDesc)
| Offset, in bytes, of this field in the containing data structure given the specified MachineDataInfo. More...
void | setOffset (final SizeThunk offset)
| Sets the offset of this field in the containing data structure. More...
String | toString ()
int | hashCodeSemantics ()
| Semantic hashcode for Types exclusive its given `name`. More...
boolean | equalSemantics (final SemanticEqualityOp arg)
| Semantic equality test for Types exclusive its given `name`. More...

## Detailed Description

Represents a field in a struct or union.

Definition at line 47 of file Field.java.

## Constructor & Destructor Documentation

## ◆ Field()

com.jogamp.gluegen.cgram.types.Field.Field | ( | final String | name,
|  | final Type | type,
|  | final SizeThunk | offset
| ) |  |

Definition at line 52 of file Field.java.

Here is the caller graph for this function:

## Member Function Documentation

## ◆ equals()

boolean com.jogamp.gluegen.cgram.types.Field.equals | ( | final Object | arg | ) |

Definition at line 66 of file Field.java.

Here is the call graph for this function:

## ◆ equalSemantics()

boolean com.jogamp.gluegen.cgram.types.Field.equalSemantics | ( | final SemanticEqualityOp | arg | ) |

Semantic equality test for Types exclusive its given `name`.

See also
  hashCodeSemantics()

Implements com.jogamp.gluegen.cgram.types.TypeComparator.SemanticEqualityOp.

Definition at line 86 of file Field.java.

Here is the call graph for this function:

## ◆ getName()

String com.jogamp.gluegen.cgram.types.Field.getName | ( |  | ) |

Name of this field in the containing data structure.

Definition at line 98 of file Field.java.

Here is the caller graph for this function:

## ◆ getOffset() [1/2]

SizeThunk com.jogamp.gluegen.cgram.types.Field.getOffset | ( |  | ) |

SizeThunk computing offset, in bytes, of this field in the containing data structure.

Definition at line 104 of file Field.java.

Here is the caller graph for this function:

## ◆ getOffset() [2/2]

long com.jogamp.gluegen.cgram.types.Field.getOffset | ( | final MachineDataInfo | machDesc | ) |

Offset, in bytes, of this field in the containing data structure given the specified MachineDataInfo.

Definition at line 108 of file Field.java.

Here is the call graph for this function:

## ◆ getType()

Type com.jogamp.gluegen.cgram.types.Field.getType | ( |  | ) |

Type of this field.

Definition at line 101 of file Field.java.

Here is the caller graph for this function:

## ◆ hashCode()

int com.jogamp.gluegen.cgram.types.Field.hashCode | ( |  | ) |

Definition at line 59 of file Field.java.

Here is the call graph for this function:

## ◆ hashCodeSemantics()

int com.jogamp.gluegen.cgram.types.Field.hashCodeSemantics | ( |  | ) |

Semantic hashcode for Types exclusive its given `name`.

See also
  equalSemantics(SemanticEqualityOp)

Implements com.jogamp.gluegen.cgram.types.TypeComparator.SemanticEqualityOp.

Definition at line 81 of file Field.java.

Here is the call graph for this function:

## ◆ setOffset()

void com.jogamp.gluegen.cgram.types.Field.setOffset | ( | final SizeThunk | offset | ) |

Sets the offset of this field in the containing data structure.

Definition at line 111 of file Field.java.

Here is the caller graph for this function:

## ◆ toString()

String com.jogamp.gluegen.cgram.types.Field.toString | ( |  | ) |

Definition at line 114 of file Field.java.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/cgram/types/Field.java